Bug 831592 - Requires password of disabled (no password) administrator account
Requires password of disabled (no password) administrator account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: polkit-gnome (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 834233
  Show dependency treegraph
 
Reported: 2012-06-13 07:42 EDT by Tomas Jamrisko
Modified: 2013-07-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 834233 (view as bug list)
Environment:
Last Closed: 2013-07-31 19:27:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2012-06-13 07:42:16 EDT
Description of problem:

Trying to escalate rigts of a standard account results in polkit asking for administrator password of a disabled account -> no escalation possible


Version-Release number of selected component (if applicable):

polkit-0.104-6.fc17.x86_64

How reproducible:
always


Steps to Reproduce:
1. Go to User Accounts
2. Make sure you have at least one standard account (in which you are logged in) and one administrator account
3. Disable the only administrator account
4. Lock and try to unlock the settings again
  
Actual results:

It asks for password of the administrator account, which there is none, you won't be able to unlock the settings


Expected results:

Skips the disabled account and asks for root, or another password of another account

Additional info:

Would be great if polkit asked, against which user does one wish to authenticate instead of forcing lowest UID
Comment 2 Fedora Admin XMLRPC Client 2013-03-06 07:22:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-07-03 17:55:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 19:28:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.